| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Namespaces | Macros | Typedefs
OgreGLES2Prerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreLogManager.h"`
`#include "OgreMath.h"`
`#include "OgreGLES2Exports.h"`
`#include "OgreGLES2Config.h"`
`#include <GLES3/glesw.h>`

## Namespaces
| Ogre

## Macros
#define | ENABLE_GL_CHECK 0
#define | getGLES2RenderSystem() dynamic_cast<GLES2RenderSystem*>(Root::getSingleton().getRenderSystem())
#define | GL_DEPTH_COMPONENT32_OES GL_DEPTH_COMPONENT32F
#define | GL_FILL 0x1B02
#define | OGRE_CHECK_GL_ERROR(glFunc) { glFunc; }
#define | OGRE_IF_IOS_VERSION_IS_GREATER_THAN(vers)

## Typedefs
typedef GLContext | Ogre::GLES2Context
typedef shared_ptr< GLES2GpuProgram > | Ogre::GLES2GpuProgramPtr
typedef shared_ptr< GLES2Texture > | Ogre::GLES2TexturePtr

## Macro Definition Documentation

## ◆ OGRE_IF_IOS_VERSION_IS_GREATER_THAN

#define OGRE_IF_IOS_VERSION_IS_GREATER_THAN | ( |  | vers | ) |

## ◆ getGLES2RenderSystem

#define getGLES2RenderSystem | ( |  | ) | dynamic_cast<GLES2RenderSystem*>(Root::getSingleton().getRenderSystem())

## ◆ GL_FILL

#define GL_FILL 0x1B02

## ◆ GL_DEPTH_COMPONENT32_OES

#define GL_DEPTH_COMPONENT32_OES GL_DEPTH_COMPONENT32F

## ◆ ENABLE_GL_CHECK

#define ENABLE_GL_CHECK 0

## ◆ OGRE_CHECK_GL_ERROR

#define OGRE_CHECK_GL_ERROR | ( |  | glFunc | ) | { glFunc; }